package main

import (
	"os"
	"git.jcg.re/jcgruenhage/borgocli/generate/authorized_keys"
	"io/ioutil"
	"git.jcg.re/jcgruenhage/borgocli/generate/folders"
	"git.jcg.re/jcgruenhage/borgocli/run"
)

func main() {
	switch os.Args[1] {
	case "generate":
		switch os.Args[2] {
		case "authorized_keys":
			authorized_keys.Run(readFile(os.Args[3]))
		case "folders":
			folders.Run(readFile(os.Args[3]))
		}
	case "run":
		var filename string
		if len(os.Args) == 4 {
			filename = os.Args[3]
		} else {
			filename = "/etc/borgocli.config"
		}
		run.Run(os.Args[2], readFile(filename))
	}
}

func readFile(path string) []byte {
	data, err := ioutil.ReadFile(path)
	check(err)
	return data
}


func check(e error) {
	if e != nil {
		panic(e)
	}
}
